package com.persagy.server.datacenter.models.entities.dictnew

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 集团实体类
 *
 * @author  wx <zhangweixin@sagacloud.com>
 * @date  2020/9/16 22:13
 */
@ApiModel(description = "集团实体类")
@Table(name = "dict.group")
class Group : Serializable {

    /** id */
    @ApiModelProperty(value = "id")
    @Column(name = "id")
    var id: String? = null

    /** 编码 */
    @ApiModelProperty(value = "编码")
    @Id
    @Column(name = "code")
    var  code: String? = null

    /** 集团名称 */
    @ApiModelProperty(value = "集团名称")
    @Column(name = "name")
    var name: String? = null

    /** 标记 */
    @ApiModelProperty(value = "标记")
    @Column(name = "status")
    var status: Int? = null

    /** 创建者 */
    @ApiModelProperty(value = "创建者")
    @Column(name = "create_user")
    var createUser: String? = null

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    @Column(name = "update_user")
    var updateUser: String? = null

    /** 说明 */
    @ApiModelProperty(value = "说明")
    @Column(name = "remark")
    var remark: String? = null

} // Class Group