package com.persagy.server.syn.controllers

import com.persagy.server.datacenter.models.entities.dictnew.DefFuncIdScheme
import com.persagy.server.syn.services.dict.DictSchemeService
import com.persagy.service.models.responses.SCreateResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 设置方案
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/10/15 17:08
 */
@Api(tags = ["0002、设置方案字典方案"])
@RestController
@RequestMapping("/set-scheme")
class DictSchemeControllers {

    /**
     * 预置方案1生成
     */
    @ApiOperation(value = " 预置方案1生成", notes = "")
    @PostMapping(value = ["/create"])
    fun setSchemeOne(): SCreateResponse<DefFuncIdScheme> {
        return DictSchemeService.setSchemeOne()
    } // Fun setSchemeOne()

    /**
     * 万达预制方案
     */
    @ApiOperation(value = " 预置方案1生成", notes = "")
    @PostMapping(value = ["/create-wanda"])
    fun wanDaScheme(): SCreateResponse<DefFuncIdScheme> {
        return DictSchemeService.wanDaScheme()
    } // Fun wanDaScheme()




} // Class DictSchemeControllers